Resent-Date: Tue, 2 Nov 1999 13:43:15 +0100 (MET)
Date: Tue, 2 Nov 1999 12:43:03 +0000
From: Lars Hecking <lhecking@nmrc.ucc.ie>
To: linux-m68k@lists.linux-m68k.org
Subject: Re: 2.3.22
Mail-Followup-To: linux-m68k@lists.linux-m68k.org
References: <199911011412.PAA03394@lxp03.cern.ch>
User-Agent: Mutt/1.1i
In-Reply-To: <199911011412.PAA03394@lxp03.cern.ch>; from Jes.Sorensen@cern.ch on Mon, Nov 01, 1999 at 03:12:19PM +0100
Resent-From: linux-m68k@phil.uni-sb.de


 Here's a small patch that makes clgenfb.c compile. Not that it's functioning,
 though, but I trust Jeff G. is working on it :)

--- drivers/video/clgenfb.c.orig	Wed Sep 29 01:15:36 1999
+++ drivers/video/clgenfb.c	Wed Sep 29 00:57:07 1999
@@ -45,6 +45,7 @@
 #include <linux/fb.h>
 #include <linux/init.h>
 #include <linux/selection.h>
+#include <linux/ioport.h>
 #include <asm/pgtable.h>
 #include <asm/delay.h>
 #include <asm/io.h>

 Nevertheless, I couldn't fix this problem:

...
gcc -D__KERNEL__ -I/kernel/linux-2.3.22/include -Wall -Wstrict-prototypes -O2 -fomit-frame-pointer  -pipe -fno-strength-reduce -ffixed-a2 -m68040   -c -o semaphore.o semaphore.c
/kernel/linux-2.3.22/include/asm/semaphore-helper.h: In function `waking_non_zero':
In file included from semaphore.c:7:
/kernel/linux-2.3.22/include/asm/semaphore-helper.h:28: `semaphore_wake_lock' undeclared (first use this function)
/kernel/linux-2.3.22/include/asm/semaphore-helper.h:28: (Each undeclared identifier is reported only once
/kernel/linux-2.3.22/include/asm/semaphore-helper.h:28: for each function it appears in.)
/kernel/linux-2.3.22/include/asm/semaphore-helper.h: In function `waking_non_zero_interruptible':
/kernel/linux-2.3.22/include/asm/semaphore-helper.h:66: `semaphore_wake_lock' undeclared (first use this function)
/kernel/linux-2.3.22/include/asm/semaphore-helper.h: In function `waking_non_zero_trylock':
/kernel/linux-2.3.22/include/asm/semaphore-helper.h:111: `semaphore_wake_lock' undeclared (first use this function)
make[1]: *** [semaphore.o] Error 1
make[1]: Leaving directory `/kernel/linux-2.3.22/arch/m68k/kernel'
make: *** [_dir_arch/m68k/kernel] Error 2


 On an unrelated note, the floppy driver is causing me some grief (A3k, HD).
 I can read single and multivolume tar floppies alright, and writing
 single volume tar floppies works most of the time, ie. the SPARCs here
 can read them. But multivolume writes fail spectacularily, complaining
 about read errors. Most of the time, the tar process cannot be killed
 at all (INT, QUIT, TERM, KILL), and if I try to shutdown teh machine,
 the read errors persist right through the shutdown sequence, and I'll
 have to C-A-A eventually.

 At least from 2.2.x on (2.2.6,2.3.6,2.3.16), the floppy LED stays on
 (keeps spinning?) after write operations, and the only way to switch
 it off is issuing a read operation (tar tvf /dev/fd0H1440) when the
 floppy contents have disappeard from the cache. Any ideas?

